-- FIXME: Only temporary until real screen is implemented
--        in C++.

StandardButtonFont = {
    "fonts/arial.mvec",
    20,
    Color(0,0,0,255)
};

StandardButtonGraphics = {
    "buttons/buttonup.png",
    "buttons/buttondown.png",
    "buttons/buttonrollover.png"
};


-- Ensure that we will go directly to the scene

main_loop_target_mode = "game_screen"

--InitializeGameState()

MakeDialog
{
    name="map_menu",
    Bitmap
    {
        image="map_menu/gm_images/image_0000_rgba.jpg",
        Button
        {
            x = 0,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "prague_orloj" )
					quit_to_window( "main_loop" )
--                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_prague_orloj",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

	
        Button
        {
            x = 600,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    DoMainWindow("scripts/options.lua")
                end,

            Text
	    {
	        label = "options",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 50,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "venice_catacombs" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_venice_catacombs",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        
        Button
        {
            x = 0,
            y = 100,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "saint_vitus" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_saint_vitus",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
                
        Button 
        {
            x = 200,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "westminster_abbey" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_westminster_abbey",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 50,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "goldenlane" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_golden_lane",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 100,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "charlesbridge" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_charles_bridge",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 150,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "notredame" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_notredame",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	        Button 
        {
            x = 200,
            y = 200,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "venice_library" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_venice_library",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 200,
            y = 250,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "toweroflondon" )
	    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_toweroflondon",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 300,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "dragonpavilon" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_dragonpavilon",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 350,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "buckinghampalace" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_buckingham",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 400,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "whitelotuschool" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_whitelotuschool",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button
        {
            x = 200,
            y = 450,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "emperorshall" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_emperorshall",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 200,
            y = 500,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "belltower" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_bell_tower",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
           }
        },
	Button
        {
            x = 200,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "thecapitol" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_the_capitol",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
           }
        },
	 Button 
        {
            x = 400,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "arc" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_arc_of_triumph",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	 Button 
        {
            x = 400,
            y = 50,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "panteon" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_panteon",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        Button
	 {
            x = 400,
            y = 100,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "smith" )
    		    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_smith",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        Button
        {
            x = 0,
            y = 150,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "under_big_ben" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_under_big_ben",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 200,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "eiffel_tower" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_eiffel_tower",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 250,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "oval_office" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_oval_office",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 300,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "empererss_room" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_empererss_room",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 350,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "national_museum" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_national_museum",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 400,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "bazilica_san_marco" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_bazilica_san_marco",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 450,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "congress_library" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_congress_library",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 0,
            y = 500,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "louvre_gardens" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_louvre_gardens",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        Button
        {
            x = 0,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "washington_memorial" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_washington_memorial",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 200,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "river_new" )
					quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_river_new",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "rio_della_verona" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_rio_della_verona",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        Button
        {
            x = 400,
            y = 500,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "lincoln" )
                    quit_to_window( "main_loop" )
                    --quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_lincoln",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
--[[
	Button
        {
            x = 200,
            y = 100,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "shakespeare" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_shakespeare",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 200,
            y = 150,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "rocket" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_rocket",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 200,
            y = 200,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "leonardo" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_leonardo",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 200,
            y = 250,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "bell" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_bell",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 200,
            y = 300,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "kepler" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_kepler",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
        Button
        {
            x = 200,
            y = 350,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "montgolfier" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_montgolfier",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 200,
            y = 400,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "archimedes_home" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_archimedes_home",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 200,
            y = 450,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "movie_studio" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_movie_studio",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 200,
            y = 500,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "the_galleon" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_the_galleon",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 200,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "napoleons_tent" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_napoleons_tent",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

	Button
        {
            x = 400,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "gutenberg" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_gutenberg",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 400,
            y = 50,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "firsttv" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_firsttv",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 400,
            y = 100,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "troy" )
                    quit_to_window( "main_loop" )
                end,
            Text
	    {
	        label = "play_game_troy",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 150,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "titanic" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_titanic",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 200,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "amundsen" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_amundsen",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 250,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "moon_landing" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_moon_landing",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 300,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "egypt" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_pyramids",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 350,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "edison" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_edison",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 400,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "area51" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_area51",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 450,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "barn" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_barn",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 500,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "declaration" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_declaration",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 400,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "building_hindenburgh" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_hindenburgh",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

        Button
        {
            x = 600,
            y = 0,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "cavemen" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_cavemen",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 600,
            y = 50,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "chinawall" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_chinawall",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
	Button
        {
            x = 600,
            y = 150,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                    SelectScreen( "first_computer" )
                    quit_to_window( "main_loop" )
                end,

            Text
	    {
	        label = "play_game_first_computer",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },

	Button
        {
            x = 600,
            y = 550,
            type = kPush,
            graphics = StandardButtonGraphics,
            scale = 1.5,
            command=function()
                   DoModal( "rewards/test_reward.lua" )  
                end,
            Text
	    {
	        label = "reward_screen_activation_hack",
		x = 0, y = 0, w = kMax, h = kMax,
		flags = kHAlignCenter + kVAlignCenter,
		font = StandardButtonFont,		
            }
        },
		--]]
    },

}
